Name:       jetty-schemas
Version:    3.1
Release:    %mkrel 7
Group:      Development/Java
Summary:    XML Schemas for Jetty
License:    CDDL or GPLv2 with exceptions
URL:        http://www.eclipse.org/jetty/
BuildArch:  noarch

Source0:    https://github.com/eclipse/jetty.toolchain/archive/%{name}-%{version}.tar.gz
Source1:    https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain:pom:)

%description
%{summary}.

%prep
%setup -q -n jetty.toolchain-jetty-schemas-%{version}
cp %SOURCE1 .

# Disable default-jar execution of maven-jar-plugin, which avoids
# problems with version 3.0.0 of the plugin.
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
      <execution>
        <id>default-jar</id>
        <phase>skip</phase>
      </execution>" jetty-schemas

%build
pushd %{name}
%mvn_build

%install
pushd %{name}
%mvn_install

%files -f %{name}/.mfiles
%dir %{_javadir}/%{name}
%doc CDDL+GPL_1_1.html



%changelog
* Wed May 17 2017 neoclust <neoclust> 3.1-7.mga6
+ Revision: 1102759
- Fix build
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.1-5.mga6
+ Revision: 976511
- First rebuild of the java stack
- sync package jetty-schemas with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Dec 28 2014 pterjan <pterjan> 3.1-2.mga5
+ Revision: 806761
- Add missing group
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Mageiafy
- imported package jetty-schemas


* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 02 2013 Michael Simacek <msimacek@redhat.com> - 3.1-2
- Fix License tag

* Thu Nov 28 2013 Michael Simacek <msimacek@redhat.com> - 3.1-1
- Initial version


